Bug 1037925 - Search Projects field not character limited
Summary: Search Projects field not character limited
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Performance (Show other bugs)
(Show other bugs)
Version: development
Hardware: Unspecified Unspecified
unspecified
high
Target Milestone: ---
: 3.3
Assignee: Alex Eng
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-04 05:27 UTC by Damian Jansen
Modified: 2014-03-20 05:47 UTC (History)
2 users (show)

Fixed In Version: 3.3.0-SNAPSHOT (20131223-0915)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 05:47:37 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (206.98 KB, image/png)
2013-12-04 05:27 UTC, Damian Jansen
no flags Details

Description Damian Jansen 2013-12-04 05:27:08 UTC
Created attachment 832415 [details]
Screenshot

Description of problem:
The Search Projects field, on the Projects page, does not appear to have a character limit.
This means a ridiculous number of character can be entered which has a negative performance impact on the browser and server.

Version-Release number of selected component (if applicable):
dev

How reproducible:
Easy always

Steps to Reproduce:
1. Go to $server/zanata/projects
2. Enter a massive amount of text into the project search bar (like Gutenberg's Moby Dick!)
3. Press Search
4. Wait for it...

Actual results:
It displays the entire text, prefixed with "Found 0 Projects matching query" 

Expected results:
I doubt anyone would need more than 256 characters in a search.

Additional info:

Comment 1 Alex Eng 2013-12-19 21:26:24 UTC
Project search field now is limit to 100 character, given it searches through slug (40 char max), name (40 char max), and description(100 char max)

Comment 2 Damian Jansen 2013-12-23 01:10:10 UTC
Verified at cd51a1620e283882a8eb26cd862314b48af67617

Comment 3 Sean Flanigan 2014-03-20 05:47:37 UTC
Closing VERIFIED bugs for Zanata server 3.3.2.


Note You need to log in before you can comment on or make changes to this bug.